Bug 1078949 - Include highlight styles in cgit.css
Summary: Include highlight styles in cgit.css
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cgit
Version: rawhide
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-20 15:22 UTC by Ville Skyttä
Modified: 2014-06-02 17:31 UTC (History)
2 users (show)

Fixed In Version: cgit-0.10.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-02 17:31:14 UTC
Type: ---


Attachments (Terms of Use)
Include highlight styles in cgit.css (1.53 KB, patch)
2014-03-20 15:23 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2014-03-20 15:22:55 UTC
...so that users don't need to find and copy/paste them from the
highlight filter script into a CSS file that's not %config and will
need to be redone on updates. Let me know if you'd like me to push and
build this for devel.

Comment 1 Ville Skyttä 2014-03-20 15:23:00 UTC
Created attachment 876915 [details]
Include highlight styles in cgit.css

Comment 2 Kevin Fenzi 2014-03-28 16:50:13 UTC
Is there any solution we can come up with here that is upstreamable?

Does the highlight style change per version? 
Or could we just hard code/include it?

I'm not opposed to doing this, just would be nice if it was something upstream could do, and I don't think they would like build time generation...

Comment 3 Ville Skyttä 2014-03-31 07:58:24 UTC
(In reply to Kevin Fenzi from comment #2)
> Is there any solution we can come up with here that is upstreamable?

Maybe, that's what I initially thought and looked into but ran out of time and interest.

> Does the highlight style change per version? 
> Or could we just hard code/include it?

It does change every now and then; the numerous commented out chunks of CSS in syntax-highlighting.sh are outputs from / examples for different source-highlight versions.

Comment 4 Kevin Fenzi 2014-04-06 18:10:18 UTC
I've posted to the upstream list to see how they might want to handle this. 

http://lists.zx2c4.com/pipermail/cgit/2014-April/002060.html

Comment 5 Ville Skyttä 2014-04-07 06:47:26 UTC
Just a comment wrt "Some folks like to adjust the css that highlight uses" in your message: without including the CSS for highlight in cgit.css (or inline in the markup), enabling highlight is pretty much pointless as there's no highlighting/colorizing visible in browsers even if highlight did spend some cycles processing the source.

Upstream solution would be nice, but frankly I don't see any problems in the approach I suggested for Fedora/EPEL and would suggest that applying it shouldn't wait too long for an upstream resolution.

Comment 6 Kevin Fenzi 2014-04-13 22:00:13 UTC
Yeah. 

If you want to just apply this for now, go for it... 

Or I can try and get to it in a few days.

Comment 7 Fedora Update System 2014-05-17 17:57:23 UTC
cgit-0.10.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cgit-0.10.1-2.el6

Comment 8 Fedora Update System 2014-05-18 16:59:05 UTC
Package cgit-0.10.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cgit-0.10.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1443/cgit-0.10.1-2.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-06-02 17:31:14 UTC
cgit-0.10.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.